aboutsummaryrefslogtreecommitdiffstats
path: root/main/libcddb/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2010-09-16 00:00:27 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2010-09-21 08:29:32 +0000
commit1df0011906f64c7c3d8efd0b048972a1a5f63c2c (patch)
tree50193e5293014f119f22109686fab57f5983e5e7 /main/libcddb/APKBUILD
parent267e07dd4e2883230c58e45c4c44f84a41118f67 (diff)
downloadaports-1df0011906f64c7c3d8efd0b048972a1a5f63c2c.tar.gz
aports-1df0011906f64c7c3d8efd0b048972a1a5f63c2c.tar.bz2
aports-1df0011906f64c7c3d8efd0b048972a1a5f63c2c.tar.xz
main/libcddb: new apkbuild
(cherry picked from commit 79cc9bbf220b8bd40c57c691fb6bae63eb49a204)
Diffstat (limited to 'main/libcddb/APKBUILD')
-rw-r--r--main/libcddb/APKBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/main/libcddb/APKBUILD b/main/libcddb/APKBUILD
new file mode 100644
index 0000000000..52ca9022a0
--- /dev/null
+++ b/main/libcddb/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Carlo Landmeter
+# Maintainer:
+pkgname=libcddb
+pkgver=1.3.2
+pkgrel=0
+pkgdesc="Library that implements the different protocols (CDDBP, HTTP, SMTP) to access data on a CDDB server (e.g. http://freedb.org)."
+url="http://sourceforge.net/projects/libcddb/"
+license="GPL"
+depends=
+makedepends=
+install=
+subpackages="$pkgname-dev"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ # apply patches here
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="8bb4a6f542197e8e9648ae597cd6bc8a libcddb-1.3.2.tar.bz2"